diff --git a/doc/src/sgml/earthdistance.sgml b/doc/src/sgml/earthdistance.sgml
index f9002b2..03dc38e 100644
--- a/doc/src/sgml/earthdistance.sgml
+++ b/doc/src/sgml/earthdistance.sgml
@@ -79,7 +79,7 @@
       <entry><function>sec_to_gc(float8)</function></entry>
       <entry><type>float8</type></entry>
       <entry>Converts the normal straight line
-       (secant) distance between between two points on the surface of the Earth
+       (secant) distance between two points on the surface of the Earth
        to the great circle distance between them.
       </entry>
      </row>
diff --git a/doc/src/sgml/installation.sgml b/doc/src/sgml/installation.sgml
index 75fb783..58767ee 100644
--- a/doc/src/sgml/installation.sgml
+++ b/doc/src/sgml/installation.sgml
@@ -2451,7 +2451,7 @@ make MAX_CONNECTIONS=5 check
     distribution tarball, you will also need Flex (GNU lex) and Bison
     (GNU yacc).  We also recommend making sure you are fairly
     up-to-date on HP patches.  At a minimum, if you are building 64
-    bit binaries on on HP-UX 11.11 you may need PHSS_30966 (11.11) or a
+    bit binaries on HP-UX 11.11 you may need PHSS_30966 (11.11) or a
     successor patch otherwise <command>initdb</command> may hang:
 <literallayout>
 PHSS_30966  s700_800 ld(1) and linker tools cumulative patch
@@ -2700,7 +2700,7 @@ cc-1020 cc: ERROR File = pqcomm.c, Line = 427
     </para>
 
     <para>
-     As of UnixWare 7.1.3 and above, the GNU Make program is is the
+     As of UnixWare 7.1.3 and above, the GNU Make program is the
      OSTK portion of the UDK CD, and is
      in <filename>/usr/gnu/bin/gmake</filename>.
     </para>
diff --git a/doc/src/sgml/monitoring.sgml b/doc/src/sgml/monitoring.sgml
index 423f9b1..0eb085e 100644
--- a/doc/src/sgml/monitoring.sgml
+++ b/doc/src/sgml/monitoring.sgml
@@ -2188,7 +2188,7 @@ SELECT pg_stat_get_backend_pid(s.backendid) AS pid,
     <row>
      <entry>wal-buffer-write-dirty-start</entry>
      <entry>()</entry>
-     <entry>Probe that fires when when a server process begins to write a
+     <entry>Probe that fires when a server process begins to write a
       dirty WAL buffer because no more WAL buffer space is available.
       (If this happens often, it implies that
       <xref linkend="guc-wal-buffers"> is too small.)</entry>
